Enable time-tracking additional fields in reports filters

2008-07-28 15:45 - Lars F.

Status: New Start date: 2008-07-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

unfortunately i can't set up filter on my customized fields in the time-tracking module.

this might be a very nice feature to have ;-)

Related issues:

Related to Redmine - Feature #1766: Custom fields should become addable to Sp... Closed 2008-08-11

Related to Redmine - Feature #25773: Add more custom fields types to criteria... New

Has duplicate Redmine - Feature #6972: Custom fields in timelog report Closed 2010-11-24

History

#1 - 2008-07-28 16:27 - Daniel N

Refers to #772 - I agree, this would make time-logging even more useful.

#2 - 2008-07-28 20:53 - Jean-Philippe Lang

Actually, boolean and list timelogs custom fields are available in the time report (eg. /projects/foo/timelog/report).

Which report filters are you exactly speaking about (please give url) and what kind of filter do you use ?

#3 - 2008-08-12 12:23 - Daniel N

Jean-Philippe Lang wrote:

Actually, boolean and list timelogs custom fields are available in the time report (eg. /projects/foo/timelog/report).

Which report filters are you exactly speaking about (please give url) and what kind of filter do you use ?

 Having other custom fields like date or integer would be very usefull in reports.

There is some more information on this topic in #1766

Having those also in Timelog "Details" (/projects/xxxprojectxxx/timelog/details) would be very useful and would make effective time-tracking and

accounting possible. Useful would also be the possibility to have the possibility to edit (or even mass edit) custom fields from the timelog Details list

for example like on the issues list with a context menu.

If you have a boolenan custom field "accounted" or "paid" then you could easily update the timelog entry via the context menu or even select some

entries and update them all.

#4 - 2008-08-13 01:51 - Mischa The Evil

I took the liberty to follow-up the discussion of this issue on the forums to keep the issue as concrete as possible... :-)

#5 - 2011-02-09 11:46 - Thomas Pihl

I would really have use for the user. custom fields to show up as well. It is very useful when breaking down on group of user

#6 - 2015-07-08 14:55 - Petra Loeffler

Last comments were long ago, but I needed custom fields of type string in time-logging report.

I added  new criteria in …/redmine/lib/redmine/helpers/time_report.rb

   # Add string custom fields as available criteria

        custom_fields.select {|cf| %w(text) }.each do |cf|

          @available_criteria["cf_#{cf.id}"] = {:sql => cf.order_statement,

                                                   :joins => cf.join_for_order_statement,

                                                   :format => cf.field_format,

                                                 :custom_field => cf,
                                                 :label => cf.name}

        End

# Add list and boolean custom fields as available criteria

#7 - 2015-08-06 15:53 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

- Category set to Time tracking

#8 - 2017-06-02 08:35 - Mischa The Evil

- Related to Feature #25773: Add more custom fields types to criteria in time entries report added

#9 - 2020-12-18 00:46 - Krzysztof Irzyk

- File time_report.rb added

Petra Loeffler wrote:

Last comments were long ago, but I needed custom fields of type string in time-logging report.

I added  new criteria in …/redmine/lib/redmine/helpers/time_report.rb

[...]

 I added your code to 4.1.1 (Docker version), and works - thanks.

+1 for this feature

Files

time_report.rb 6.58 KB 2020-12-17 Krzysztof Irzyk
